'''
Gizmo(QP) Web Framework - http://gizmojo.org/
------------------------------------------------------------------------------
Copyright (C) 2007 Mario Ruggier, mario@ruggier.org
Licensed under the Open Software License version 3.0
'''
__url__ = "$URL: svn://gizmojo.org/pub/gz/trunk/demo/helloworld/slash.py $"
# $begin{code}
__revision__ = "$Id: slash.py 975 2008-03-19 10:44:16Z mario $"

from gz.fill.directory import Directory
from gz.fill.exportable import X
from gz.pub.publisher import Publisher
from gz.pub.common import page

class SitePublisher(Publisher):
    
    configuration = dict(
        http_address=('', 8016),
    )

class SiteDirectory(Directory):

    exportables = [
        X('', 'index', 'Hello', 'Hello World'), 
    ]
    
    def index(self):
        return page(self.get_x().title, 'Hello World!')
